/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT1.dat, Mon Mar 19 23:27:13 2012
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000C43 (3139)
 *     Revision         0x01
 *     Checksum         0x2A
 *     OEM ID           "ACRSYS"
 *     OEM Table ID     "ACRPRDCT"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "1025"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("SSDT1.aml", "SSDT", 1, "ACRSYS", "ACRPRDCT", 0x00001000)
{
    External (PAMT, IntObj)
    External (PDTS)
    External (DTS4)
    External (DTS3)
    External (DTS2)
    External (DTS1)
    External (\_TZ_.TZ01._TMP, IntObj)
    External (\_TZ_.TZ00._TMP, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEC3, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEC2, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEC1, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEC0, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRCS, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRS4, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRS3, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRS2, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRS1, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRS0, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRFC, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PDT3, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PDT2, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PDT1, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PDT0, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PECC, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PWFC, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEPM, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEPL, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PECI, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEHI, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PECD, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PWRL, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PEWL, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PCAD, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PSTE, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRIN, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRCM, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRC1, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRC0, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.PRCL, IntObj)

    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))
            Name (_CID, EisaId ("PNP0C02"))
            Name (IVER, 0x00030000)
            Method (_STA, 0, NotSerialized)
            {
                Return (0x0F)
            }

            Name (TSDL, Package (0x2E)
            {
                Zero, 
                "CPU Core 0 DTS", 
                Zero, 
                "CPU Core 1 DTS", 
                Zero, 
                "CPU Core 2 DTS", 
                Zero, 
                "CPU Core 3 DTS", 
                Zero, 
                "CPU Core Package DTS", 
                0x03, 
                "CPU Core VR (IMVP) Temperature", 
                0x03, 
                "CPU GT VR (IMVP) Temperature", 
                0x03, 
                "Heat Exchanger Fan Temperature", 
                0x03, 
                "Skin Temperature", 
                0x03, 
                "Ambient Temperature", 
                0x03, 
                "Minicard Region Temperature", 
                0x02, 
                "Channel 0 DIMM Temperature", 
                0x02, 
                "Channel 1 DIMM Temperature", 
                Zero, 
                "CPU Package Temperature", 
                0x05, 
                "PCH DTS Temperature from PCH", 
                Zero, 
                "CPU PECI reading", 
                0x05, 
                "SA DTS Temperature from PCH", 
                0x02, 
                "TS-on-DIMM0 Temperature", 
                0x02, 
                "TS-on-DIMM1 Temperature", 
                0x02, 
                "TS-on-DIMM2 Temperature", 
                0x02, 
                "TS-on-DIMM3 Temperature", 
                0x02, 
                "TZ00 _TMP", 
                0x02, 
                "TZ01 _TMP"
            })
            Name (PSDL, Package (0x0C)
            {
                Zero, 
                "CPU Power", 
                One, 
                "Gfx Core Power", 
                0x0A, 
                "System Power", 
                Zero, 
                "CPU Average Power", 
                One, 
                "Gfx Core Average Power", 
                0x0A, 
                "System Average Power"
            })
            Name (OSDL, Package (0x06)
            {
                Zero, 
                "CPU Fan Speed", 
                "RPM", 
                Zero, 
                "CPU energy", 
                "RAW"
            })
            Method (TSDD, 0, NotSerialized)
            {
                Name (TMPV, Package (0x17)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Store (Add (Multiply (DTS1, 0x0A), 0x0AAC), Index (TMPV, 
                    Zero))
                Store (Add (Multiply (DTS2, 0x0A), 0x0AAC), Index (TMPV, 
                    One))
                Store (Add (Multiply (DTS3, 0x0A), 0x0AAC), Index (TMPV, 
                    0x02))
                Store (Add (Multiply (DTS4, 0x0A), 0x0AAC), Index (TMPV, 
                    0x03))
                Store (Add (Multiply (PDTS, 0x0A), 0x0AAC), Index (TMPV, 
                    0x04))
                Store (\_TZ.TZ00._TMP, Index (TMPV, 0x15))
                Store (\_TZ.TZ01._TMP, Index (TMPV, 0x16))
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Name (PWRV, Package (0x06)
                {
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000, 
                    0x80000000
                })
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Name (OSDV, Package (0x02)
                {
                    0x80000000, 
                    0x80000000
                })
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }

            Name (PADA, Package (0x0A)
            {
                One, 
                Ones, 
                Ones, 
                0x1A, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones, 
                Ones
            })
            Name (PADD, Package (0x0A)
            {
                0x02, 
                0x06A4, 
                0x06A0, 
                0x1A, 
                0x62, 
                0x63, 
                0x60, 
                0x61, 
                0x65, 
                0x64
            })
            Method (PADT, 0, NotSerialized)
            {
                If (PAMT)
                {
                    Return (PADA)
                }

                Return (PADD)
            }

            Method (RPMD, 0, NotSerialized)
            {
                Name (MTMP, Buffer (0x1A) {})
                Store (\_SB.PCI0.LPCB.EC0.PRCL, Index (MTMP, Zero))
                Store (\_SB.PCI0.LPCB.EC0.PRC0, Index (MTMP, One))
                Store (\_SB.PCI0.LPCB.EC0.PRC1, Index (MTMP, 0x02))
                Store (\_SB.PCI0.LPCB.EC0.PRCM, Index (MTMP, 0x03))
                Store (\_SB.PCI0.LPCB.EC0.PRIN, Index (MTMP, 0x04))
                Store (\_SB.PCI0.LPCB.EC0.PSTE, Index (MTMP, 0x05))
                Store (\_SB.PCI0.LPCB.EC0.PCAD, Index (MTMP, 0x06))
                Store (\_SB.PCI0.LPCB.EC0.PEWL, Index (MTMP, 0x07))
                Store (\_SB.PCI0.LPCB.EC0.PWRL, Index (MTMP, 0x08))
                Store (\_SB.PCI0.LPCB.EC0.PECD, Index (MTMP, 0x09))
                Store (\_SB.PCI0.LPCB.EC0.PEHI, Index (MTMP, 0x0A))
                Store (\_SB.PCI0.LPCB.EC0.PECI, Index (MTMP, 0x0B))
                Store (\_SB.PCI0.LPCB.EC0.PEPL, Index (MTMP, 0x0C))
                Store (\_SB.PCI0.LPCB.EC0.PEPM, Index (MTMP, 0x0D))
                Store (\_SB.PCI0.LPCB.EC0.PWFC, Index (MTMP, 0x0E))
                Store (\_SB.PCI0.LPCB.EC0.PECC, Index (MTMP, 0x0F))
                Store (\_SB.PCI0.LPCB.EC0.PDT0, Index (MTMP, 0x10))
                Store (\_SB.PCI0.LPCB.EC0.PDT1, Index (MTMP, 0x11))
                Store (\_SB.PCI0.LPCB.EC0.PDT2, Index (MTMP, 0x12))
                Store (\_SB.PCI0.LPCB.EC0.PDT3, Index (MTMP, 0x13))
                Store (\_SB.PCI0.LPCB.EC0.PRFC, Index (MTMP, 0x14))
                Store (\_SB.PCI0.LPCB.EC0.PRS0, Index (MTMP, 0x15))
                Store (\_SB.PCI0.LPCB.EC0.PRS1, Index (MTMP, 0x16))
                Store (\_SB.PCI0.LPCB.EC0.PRS2, Index (MTMP, 0x17))
                Store (\_SB.PCI0.LPCB.EC0.PRS3, Index (MTMP, 0x18))
                Store (\_SB.PCI0.LPCB.EC0.PRS4, Index (MTMP, 0x19))
                Return (MTMP)
            }

            Method (WPMD, 1, NotSerialized)
            {
                If (LNotEqual (SizeOf (Arg0), 0x1A))
                {
                    Return (Ones)
                }

                Store (DerefOf (Index (Arg0, Zero)), \_SB.PCI0.LPCB.EC0.PRCL)
                Store (DerefOf (Index (Arg0, One)), \_SB.PCI0.LPCB.EC0.PRC0)
                Store (DerefOf (Index (Arg0, 0x02)), \_SB.PCI0.LPCB.EC0.PRC1)
                Store (DerefOf (Index (Arg0, 0x03)), \_SB.PCI0.LPCB.EC0.PRCM)
                Store (DerefOf (Index (Arg0, 0x04)), \_SB.PCI0.LPCB.EC0.PRIN)
                Store (DerefOf (Index (Arg0, 0x05)), \_SB.PCI0.LPCB.EC0.PSTE)
                Store (DerefOf (Index (Arg0, 0x06)), \_SB.PCI0.LPCB.EC0.PCAD)
                Store (DerefOf (Index (Arg0, 0x07)), \_SB.PCI0.LPCB.EC0.PEWL)
                Store (DerefOf (Index (Arg0, 0x08)), \_SB.PCI0.LPCB.EC0.PWRL)
                Store (DerefOf (Index (Arg0, 0x09)), \_SB.PCI0.LPCB.EC0.PECD)
                Store (DerefOf (Index (Arg0, 0x0A)), \_SB.PCI0.LPCB.EC0.PEHI)
                Store (DerefOf (Index (Arg0, 0x0B)), \_SB.PCI0.LPCB.EC0.PECI)
                Store (DerefOf (Index (Arg0, 0x0C)), \_SB.PCI0.LPCB.EC0.PEPL)
                Store (DerefOf (Index (Arg0, 0x0D)), \_SB.PCI0.LPCB.EC0.PEPM)
                Store (DerefOf (Index (Arg0, 0x0E)), \_SB.PCI0.LPCB.EC0.PWFC)
                Store (DerefOf (Index (Arg0, 0x0F)), \_SB.PCI0.LPCB.EC0.PECC)
                Store (DerefOf (Index (Arg0, 0x10)), \_SB.PCI0.LPCB.EC0.PDT0)
                Store (DerefOf (Index (Arg0, 0x11)), \_SB.PCI0.LPCB.EC0.PDT1)
                Store (DerefOf (Index (Arg0, 0x12)), \_SB.PCI0.LPCB.EC0.PDT2)
                Store (DerefOf (Index (Arg0, 0x13)), \_SB.PCI0.LPCB.EC0.PDT3)
                Store (DerefOf (Index (Arg0, 0x14)), \_SB.PCI0.LPCB.EC0.PRFC)
                Store (DerefOf (Index (Arg0, 0x15)), \_SB.PCI0.LPCB.EC0.PRS0)
                Store (DerefOf (Index (Arg0, 0x16)), \_SB.PCI0.LPCB.EC0.PRS1)
                Store (DerefOf (Index (Arg0, 0x17)), \_SB.PCI0.LPCB.EC0.PRS2)
                Store (DerefOf (Index (Arg0, 0x18)), \_SB.PCI0.LPCB.EC0.PRS3)
                Store (DerefOf (Index (Arg0, 0x19)), \_SB.PCI0.LPCB.EC0.PRS4)
                Return (Zero)
            }

            Method (ISPC, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (ENPC, 0, NotSerialized)
            {
                Return (Zero)
            }

            Method (RPCS, 0, NotSerialized)
            {
                Store (\_SB.PCI0.LPCB.EC0.PRCS, Local0)
                Store (Zero, Local0)
                Return (Local0)
            }

            Method (RPEC, 0, NotSerialized)
            {
                Store (Zero, Local0)
                Store (\_SB.PCI0.LPCB.EC0.PEC0, Local1)
                Or (Local0, Local1, Local0)
                Store (\_SB.PCI0.LPCB.EC0.PEC1, Local1)
                Or (Local0, ShiftLeft (Local1, 0x08), Local0)
                Store (\_SB.PCI0.LPCB.EC0.PEC2, Local1)
                Or (Local0, ShiftLeft (Local1, 0x10), Local0)
                Store (\_SB.PCI0.LPCB.EC0.PEC3, Local1)
                Or (Local0, ShiftLeft (Local1, 0x18), Local0)
                Return (Local0)
            }
        }
    }
}

